## org.eclipse.datatools.modelbase.sql.query
Interface QueryInsertStatement

All Superinterfaces:
  QueryChangeStatement, QueryStatement, SQLDataChangeStatement, SQLDataStatement, SQLObject, SQLQueryObject, SQLStatement

All Known Implementing Classes:
  QueryInsertStatementImpl

public interface QueryInsertStatement
extends QueryChangeStatement

A representation of the model object 'SQL Insert Statement'.

The following features are supported:

- `Source Query`
- `Source Values Row List`
- `Target Table`
- `Target Column List`

See Also:
  `SQLQueryModelPackage.getQueryInsertStatement()`

Method Summary
`QueryExpressionRoot` `getSourceQuery()` Returns the value of the 'Source Query' containment reference.
`EList` `getSourceValuesRowList()` Returns the value of the 'Source Values Row List' containment reference list.
`EList` `getTargetColumnList()` Returns the value of the 'Target Column List' reference list.
`TableInDatabase` `getTargetTable()` Returns the value of the 'Target Table' containment reference.
`boolean` `isSetTargetTable()` Returns whether the value of the '`Target Table`' containment reference is set.
`void` `setSourceQuery(QueryExpressionRoot value)` Sets the value of the '`Source Query`' containment reference.
`void` `setTargetTable(TableInDatabase value)` Sets the value of the '`Target Table`' containment reference.
`void` `unsetTargetTable()` Unsets the value of the '`Target Table`' containment reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.statements.SQLStatement
`getSQL, setSQL`

Method Detail

### getSourceQuery

    public QueryExpressionRoot getSourceQuery()

  Returns the value of the 'Source Query' containment reference. It is bidirectional and its opposite is '`Insert Statement`'.

  If the meaning of the 'Source Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Source Query' containment reference.
  See Also:
    `setSourceQuery(QueryExpressionRoot)`, `SQLQueryModelPackage.getQueryInsertStatement_SourceQuery()`, `QueryExpressionRoot.getInsertStatement()`

### setSourceQuery

    public void setSourceQuery(QueryExpressionRoot value)

  Sets the value of the '`Source Query`' containment reference.

  Parameters:
    `value` - the new value of the 'Source Query' containment reference.
  See Also:
    `getSourceQuery()`

### getSourceValuesRowList

    public EList getSourceValuesRowList()

  Returns the value of the 'Source Values Row List' containment reference list. The list contents are of type `ValuesRow`. It is bidirectional and its opposite is '`Insert Statement`'.

  If the meaning of the 'Source Values Row List' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Source Values Row List' containment reference list.
  See Also:
    `SQLQueryModelPackage.getQueryInsertStatement_SourceValuesRowList()`, `ValuesRow.getInsertStatement()`

### getTargetTable

    public TableInDatabase getTargetTable()

  Returns the value of the 'Target Table' containment reference. It is bidirectional and its opposite is '`Insert Statement`'.

  If the meaning of the 'Target Table' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Target Table' containment reference.
  See Also:
    `isSetTargetTable()`, `unsetTargetTable()`, `setTargetTable(TableInDatabase)`, `SQLQueryModelPackage.getQueryInsertStatement_TargetTable()`, `TableInDatabase.getInsertStatement()`

### setTargetTable

    public void setTargetTable(TableInDatabase value)

  Sets the value of the '`Target Table`' containment reference.

  Parameters:
    `value` - the new value of the 'Target Table' containment reference.
  See Also:
    `isSetTargetTable()`, `unsetTargetTable()`, `getTargetTable()`

### unsetTargetTable

    public void unsetTargetTable()

  Unsets the value of the '`Target Table`' containment reference.

  See Also:
    `isSetTargetTable()`, `getTargetTable()`, `setTargetTable(TableInDatabase)`

### isSetTargetTable

    public boolean isSetTargetTable()

  Returns whether the value of the '`Target Table`' containment reference is set.

  Returns:
    whether the value of the 'Target Table' containment reference is set.
  See Also:
    `unsetTargetTable()`, `getTargetTable()`, `setTargetTable(TableInDatabase)`

### getTargetColumnList

    public EList getTargetColumnList()

  Returns the value of the 'Target Column List' reference list. The list contents are of type `ValueExpressionColumn`. It is bidirectional and its opposite is '`Insert Statement`'.

  If the meaning of the 'Target Column List' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Target Column List' reference list.
  See Also:
    `SQLQueryModelPackage.getQueryInsertStatement_TargetColumnList()`, `ValueExpressionColumn.getInsertStatement()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.